:root {
  --bg-color: white;
  --text-color: black;
  --text-tooltip-color: white;
  --tooltip-bg-color: #192733;
}

.dark {
  --bg-color: #1d2128;
  --text-color: white;
  --text-tooltip-color: black;
  --tooltip-bg-color: white;
}

body {
  background-color: var(--bg-color);
  color: var(--text-color);
  font-family: "Comic Sans MS";
}

.tooltip-text {
  visibility: hidden;
  position: absolute;
  z-index: 1;
  width: 90px;
  color: var(--text-tooltip-color);
  font-size: 12px;
  background-color: var(--tooltip-bg-color);
  border-radius: 6px;
  padding: 10px;
  box-shadow: 4px 4px 5px #3a4d55;
}

.tooltip-text::after {
  content: "";
  position: absolute;
  transform: rotate(45deg);
  background-color: var(--tooltip-bg-color);
  padding: 5px;
  z-index: 1;
}

.hover-text:hover .tooltip-text {
  visibility: visible;
}

.top {
  top: -40px;
  right: 1%;
}

.top::after {
  top: 80%;
  left: 45%;
}

.bottom {
  top: 25px;
  right: 1%;
}

.bottom::after {
  top: -5%;
  left: 45%;
}

.left {
  top: -8px;
  right: 120%;
}

.left::after {
  top: 35%;
  left: 94%;
}

.right {
  top: -8px;
  left: 120%;
}

.right::after {
  top: 35%;
  left: -2%;
}

.hover-text {
  position: relative;
  display: inline-block;
  margin: 40px;
  text-align: center;
}


